Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 1274763003: Initialize GPU shader disk cache on brower thread. (Closed)

Created:
3 years, 9 months ago by Jamie Madill
Modified:
3 years, 9 months ago
CC:
chromium-reviews, darin-cc_chromium.org, jam, piman+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Initialize the GPU shader disk cache in the browser. The disk cache allows us to load the compositor shaders on startup, saving quite a bit of time on platforms that support caching. BUG=510151 Committed: https://crrev.com/57b52d4786d8262c07e7eb5ba3a55cabf801ebff Cr-Commit-Position: refs/heads/master@{#344816}

Patch Set 1 #

Total comments: 2

Patch Set 2 : Renaming directory method and use PostTask init #

Total comments: 2

Patch Set 3 : With static init method #

Total comments: 2

Patch Set 4 : Addressed layering of cache directory #

Patch Set 5 : Address content_unittests failure on Android #

Unified diffs Side-by-side diffs Delta from patch set Stats (+47 lines, -6 lines) Patch
M chrome/browser/chrome_content_browser_client.h View 1 2 3 4 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/chrome_content_browser_client.cc View 1 2 3 4 1 chunk +7 lines, -0 lines 0 comments Download
M content/browser/gpu/browser_gpu_channel_host_factory.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M content/browser/gpu/browser_gpu_channel_host_factory.cc View 1 2 3 4 4 chunks +28 lines, -1 line 0 comments Download
M content/browser/renderer_host/render_widget_host_view_android.cc View 1 2 3 4 1 chunk +2 lines, -1 line 0 comments Download
M content/public/browser/content_browser_client.h View 1 2 3 4 1 chunk +3 lines, -0 lines 0 comments Download
M content/public/browser/content_browser_client.cc View 1 2 3 4 1 chunk +4 lines, -0 lines 0 comments Download
M content/test/run_all_unittests.cc View 1 2 3 4 1 chunk +0 lines, -4 lines 0 comments Download

Messages

Total messages: 24 (4 generated)
Jamie Madill
John, Ken, this is my work-in-process patch, for reference during our chat.
3 years, 9 months ago (2015-08-05 17:52:47 UTC) #2
Ken Russell (switch to Gerrit)
+piman, danakj and enne; I don't have experience with the browser compositor and its setup. ...
3 years, 9 months ago (2015-08-06 01:01:01 UTC) #4
piman
https://codereview.chromium.org/1274763003/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc File content/browser/gpu/browser_gpu_channel_host_factory.cc (right): https://codereview.chromium.org/1274763003/diff/1/content/browser/gpu/browser_gpu_channel_host_factory.cc#newcode157 content/browser/gpu/browser_gpu_channel_host_factory.cc:157: user_data_dir); On 2015/08/06 01:01:01, Ken Russell wrote: > Something ...
3 years, 9 months ago (2015-08-06 19:53:13 UTC) #5
Jamie Madill
PTAL - think this is mostly ready for review, just looking at making a browser ...
3 years, 9 months ago (2015-08-07 19:06:40 UTC) #6
piman
https://codereview.chromium.org/1274763003/diff/20001/content/browser/gpu/browser_gpu_channel_host_factory.cc File content/browser/gpu/browser_gpu_channel_host_factory.cc (right): https://codereview.chromium.org/1274763003/diff/20001/content/browser/gpu/browser_gpu_channel_host_factory.cc#newcode249 content/browser/gpu/browser_gpu_channel_host_factory.cc:249: base::Unretained(this))); Unretained seems unsafe. How about testing the command ...
3 years, 9 months ago (2015-08-07 19:33:59 UTC) #7
Jamie Madill
PTAL. https://codereview.chromium.org/1274763003/diff/20001/content/browser/gpu/browser_gpu_channel_host_factory.cc File content/browser/gpu/browser_gpu_channel_host_factory.cc (right): https://codereview.chromium.org/1274763003/diff/20001/content/browser/gpu/browser_gpu_channel_host_factory.cc#newcode249 content/browser/gpu/browser_gpu_channel_host_factory.cc:249: base::Unretained(this))); On 2015/08/07 19:33:59, piman (Very slow to ...
3 years, 9 months ago (2015-08-07 20:07:58 UTC) #8
piman
lgtm
3 years, 9 months ago (2015-08-07 20:19:03 UTC) #9
jam
https://codereview.chromium.org/1274763003/diff/40001/content/public/browser/content_browser_client.h File content/public/browser/content_browser_client.h (right): https://codereview.chromium.org/1274763003/diff/40001/content/public/browser/content_browser_client.h#newcode517 content/public/browser/content_browser_client.h:517: // Returns the path to the browser shader disk ...
3 years, 9 months ago (2015-08-07 20:41:04 UTC) #10
Ken Russell (switch to Gerrit)
Realizing that I misunderstood the semantics of BrowserGpuChannelHostFactory in the earlier patch, LGTM modulo John's ...
3 years, 9 months ago (2015-08-07 22:47:41 UTC) #11
Jamie Madill
PTAL. Still thinking about how to add a test, might need help on that. https://codereview.chromium.org/1274763003/diff/40001/content/public/browser/content_browser_client.h ...
3 years, 9 months ago (2015-08-10 17:18:00 UTC) #12
jam
lgtm sorry for the delay, i didn't see your reply
3 years, 9 months ago (2015-08-17 16:21:17 UTC) #13
Jamie Madill
PTAL. After speaking to sievers@, Made a change so the Android content_unittests wouldn't fail due ...
3 years, 9 months ago (2015-08-21 12:09:42 UTC) #14
piman
LGTM if sievers@ is ok with this.
3 years, 9 months ago (2015-08-21 17:37:46 UTC) #15
Ken Russell (switch to Gerrit)
LGTM again too FWIW.
3 years, 9 months ago (2015-08-21 18:03:42 UTC) #16
no sievers
On 2015/08/21 17:37:46, piman (slow to review) wrote: > LGTM if sievers@ is ok with ...
3 years, 9 months ago (2015-08-21 18:08:23 UTC) #17
Jamie Madill
Great, going to land this!
3 years, 9 months ago (2015-08-21 18:09:10 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1274763003/80001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1274763003/80001
3 years, 9 months ago (2015-08-21 18:09:48 UTC) #21
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 9 months ago (2015-08-21 18:16:22 UTC) #22
commit-bot: I haz the power
Patchset 5 (id:??) landed as https://crrev.com/57b52d4786d8262c07e7eb5ba3a55cabf801ebff Cr-Commit-Position: refs/heads/master@{#344816}
3 years, 9 months ago (2015-08-21 18:17:05 UTC) #23
Stephen White
3 years, 9 months ago (2015-08-21 18:41:12 UTC) #24
Message was sent while issue was closed.
w00t! \o/

Powered by Google App Engine
This is Rietveld 408576698